diff -rc2P glibc-2.1.orig/dirent/Versions glibc-2.1.new/dirent/Versions
*** glibc-2.1.orig/dirent/Versions	Thu Jul  9 14:46:07 1998
--- glibc-2.1.new/dirent/Versions	Sun Jul  4 01:34:22 1999
***************
*** 37,40 ****
--- 37,45 ----
      # v*
      versionsort; versionsort64;
+     # for virtualfs
+     __rewinddir;
+     __opendir; __readdir; __closedir;
+     __readdir64; __telldir; 
+     __getdirentries;
    }
  }
diff -rc2P glibc-2.1.orig/dirent/scandir.c glibc-2.1.new/dirent/scandir.c
*** glibc-2.1.orig/dirent/scandir.c	Thu Jul 23 10:53:15 1998
--- glibc-2.1.new/dirent/scandir.c	Tue Jun 15 23:43:37 1999
***************
*** 29,33 ****
       int (*cmp) __P ((const void *, const void *));
  {
!   DIR *dp = __opendir (dir);
    struct dirent **v = NULL;
    size_t vsize = 0, i;
--- 29,33 ----
       int (*cmp) __P ((const void *, const void *));
  {
!   DIR *dp = opendir (dir);
    struct dirent **v = NULL;
    size_t vsize = 0, i;
***************
*** 42,46 ****
  
    i = 0;
!   while ((d = __readdir (dp)) != NULL)
      if (select == NULL || (*select) (d))
        {
--- 42,46 ----
  
    i = 0;
!   while ((d = readdir (dp)) != NULL)
      if (select == NULL || (*select) (d))
        {
***************
*** 75,79 ****
      {
        save = errno;
!       (void) __closedir (dp);
        while (i > 0)
  	free (v[--i]);
--- 75,79 ----
      {
        save = errno;
!       (void) closedir (dp);
        while (i > 0)
  	free (v[--i]);
***************
*** 83,87 ****
      }
  
!   (void) __closedir (dp);
    __set_errno (save);
  
--- 83,87 ----
      }
  
!   (void) closedir (dp);
    __set_errno (save);
  
diff -rc2P glibc-2.1.orig/io/Versions glibc-2.1.new/io/Versions
*** glibc-2.1.orig/io/Versions	Fri Apr  9 20:52:02 1999
--- glibc-2.1.new/io/Versions	Tue Aug 17 09:37:03 1999
***************
*** 87,90 ****
--- 87,105 ----
      # l*
      lockf64;
+     # for virtualfs
+     _fxstat; _lxstat; _xstat; _xmknod;
+     _fxstat64; _lxstat64; _xstat64;
+     __vfs_xstat; __vfs_lxstat;
+     _vfs_xstat; _vfs_lxstat;
+     __vfs_xstat64; __vfs_lxstat64;
+     _vfs_xstat64; _vfs_lxstat64;
+     __chdir; __unlink; __rmdir;
+     __mkdir; __readlink; __lchown;
+     __chmod; __access; __euidaccess;
+     __lseek64;
+     __open64;
+     __symlink;
+     __link; __fchmod; __fchown;
+     __utime;
    }
  }
diff -rc2P glibc-2.1.orig/io/creat.c glibc-2.1.new/io/creat.c
*** glibc-2.1.orig/io/creat.c	Sat Feb  7 15:07:26 1998
--- glibc-2.1.new/io/creat.c	Fri Jun 11 20:38:25 1999
***************
*** 28,31 ****
       mode_t mode;
  {
!   return __open (file, O_WRONLY|O_CREAT|O_TRUNC, mode);
  }
--- 28,31 ----
       mode_t mode;
  {
!   return open (file, O_WRONLY|O_CREAT|O_TRUNC, mode);
  }
diff -rc2P glibc-2.1.orig/io/creat64.c glibc-2.1.new/io/creat64.c
*** glibc-2.1.orig/io/creat64.c	Sat Feb  7 15:07:26 1998
--- glibc-2.1.new/io/creat64.c	Tue Aug 17 21:17:33 1999
***************
*** 28,31 ****
       mode_t mode;
  {
!   return __open64 (file, O_WRONLY|O_CREAT|O_TRUNC, mode);
  }
--- 28,31 ----
       mode_t mode;
  {
!   return open64 (file, O_WRONLY|O_CREAT|O_TRUNC, mode);
  }
diff -rc2P glibc-2.1.orig/io/fstat.c glibc-2.1.new/io/fstat.c
*** glibc-2.1.orig/io/fstat.c	Wed Aug 12 20:07:59 1998
--- glibc-2.1.new/io/fstat.c	Fri Jun 11 20:38:57 1999
***************
*** 42,46 ****
  __fstat (int fd, struct stat *buf)
  {
!   return __fxstat (_STAT_VER, fd, buf);
  }
  
--- 42,46 ----
  __fstat (int fd, struct stat *buf)
  {
!   return _fxstat (_STAT_VER, fd, buf);
  }
  
diff -rc2P glibc-2.1.orig/io/lstat.c glibc-2.1.new/io/lstat.c
*** glibc-2.1.orig/io/lstat.c	Wed Aug 12 20:08:00 1998
--- glibc-2.1.new/io/lstat.c	Fri Jun 11 20:39:12 1999
***************
*** 42,46 ****
  __lstat (const char *file, struct stat *buf)
  {
!   return __lxstat (_STAT_VER, file, buf);
  }
  
--- 42,46 ----
  __lstat (const char *file, struct stat *buf)
  {
!   return _lxstat (_STAT_VER, file, buf);
  }
  
diff -rc2P glibc-2.1.orig/io/lstat64.c glibc-2.1.new/io/lstat64.c
*** glibc-2.1.orig/io/lstat64.c	Sat Feb  7 15:07:35 1998
--- glibc-2.1.new/io/lstat64.c	Tue Jun 15 23:58:12 1999
***************
*** 41,44 ****
  lstat64 (const char *file, struct stat64 *buf)
  {
!   return __lxstat64 (_STAT_VER, file, buf);
  }
--- 41,44 ----
  lstat64 (const char *file, struct stat64 *buf)
  {
!   return _lxstat64 (_STAT_VER, file, buf);
  }
diff -rc2P glibc-2.1.orig/io/mknod.c glibc-2.1.new/io/mknod.c
*** glibc-2.1.orig/io/mknod.c	Sat Feb  7 15:07:35 1998
--- glibc-2.1.new/io/mknod.c	Fri Jun 11 20:39:50 1999
***************
*** 42,46 ****
  __mknod (const char *path, mode_t mode, dev_t dev)
  {
!   return __xmknod (_MKNOD_VER, path, mode, &dev);
  }
  
--- 42,46 ----
  __mknod (const char *path, mode_t mode, dev_t dev)
  {
!   return _xmknod (_MKNOD_VER, path, mode, &dev);
  }
  
diff -rc2P glibc-2.1.orig/io/stat.c glibc-2.1.new/io/stat.c
*** glibc-2.1.orig/io/stat.c	Sat Feb  7 15:07:35 1998
--- glibc-2.1.new/io/stat.c	Fri Jun 11 20:40:07 1999
***************
*** 41,45 ****
  __stat (const char *file, struct stat *buf)
  {
!   return __xstat (_STAT_VER, file, buf);
  }
  
--- 41,45 ----
  __stat (const char *file, struct stat *buf)
  {
!   return _xstat (_STAT_VER, file, buf);
  }
  
diff -rc2P glibc-2.1.orig/io/stat64.c glibc-2.1.new/io/stat64.c
*** glibc-2.1.orig/io/stat64.c	Sat Feb  7 15:07:35 1998
--- glibc-2.1.new/io/stat64.c	Tue Jun 15 23:57:49 1999
***************
*** 41,44 ****
  stat64 (const char *file, struct stat64 *buf)
  {
!   return __xstat64 (_STAT_VER, file, buf);
  }
--- 41,44 ----
  stat64 (const char *file, struct stat64 *buf)
  {
!   return _xstat64 (_STAT_VER, file, buf);
  }
diff -rc2P glibc-2.1.orig/io/sys/stat.h glibc-2.1.new/io/sys/stat.h
*** glibc-2.1.orig/io/sys/stat.h	Tue Oct 13 18:40:02 1998
--- glibc-2.1.new/io/sys/stat.h	Fri Jun 11 20:42:58 1999
***************
*** 277,285 ****
  /* Wrappers for stat and mknod system calls.  */
  #ifndef __USE_FILE_OFFSET64
! extern int __fxstat __P ((int __ver, int __fildes,
  			  struct stat *__stat_buf));
! extern int __xstat __P ((int __ver, __const char *__filename,
  			 struct stat *__stat_buf));
! extern int __lxstat __P ((int __ver, __const char *__filename,
  			  struct stat *__stat_buf));
  #else
--- 277,285 ----
  /* Wrappers for stat and mknod system calls.  */
  #ifndef __USE_FILE_OFFSET64
! extern int _fxstat __P ((int __ver, int __fildes,
  			  struct stat *__stat_buf));
! extern int _xstat __P ((int __ver, __const char *__filename,
  			 struct stat *__stat_buf));
! extern int _lxstat __P ((int __ver, __const char *__filename,
  			  struct stat *__stat_buf));
  #else
***************
*** 316,320 ****
  			    struct stat *__statbuf) __THROW
  {
!   return __xstat (_STAT_VER, __path, __statbuf);
  }
  
--- 316,320 ----
  			    struct stat *__statbuf) __THROW
  {
!   return _xstat (_STAT_VER, __path, __statbuf);
  }
  
***************
*** 323,327 ****
  			     struct stat *__statbuf) __THROW
  {
!   return __lxstat (_STAT_VER, __path, __statbuf);
  }
  # endif
--- 323,327 ----
  			     struct stat *__statbuf) __THROW
  {
!   return _lxstat (_STAT_VER, __path, __statbuf);
  }
  # endif
***************
*** 329,333 ****
  extern __inline__ int fstat (int __fd, struct stat *__statbuf) __THROW
  {
!   return __fxstat (_STAT_VER, __fd, __statbuf);
  }
  
--- 329,333 ----
  extern __inline__ int fstat (int __fd, struct stat *__statbuf) __THROW
  {
!   return _fxstat (_STAT_VER, __fd, __statbuf);
  }
  
***************
*** 336,340 ****
  			     __dev_t __dev) __THROW
  {
!   return __xmknod (_MKNOD_VER, __path, __mode, &__dev);
  }
  # endif
--- 336,340 ----
  			     __dev_t __dev) __THROW
  {
!   return _xmknod (_MKNOD_VER, __path, __mode, &__dev);
  }
  # endif
diff -rc2P glibc-2.1.orig/libio/Versions glibc-2.1.new/libio/Versions
*** glibc-2.1.orig/libio/Versions	Wed Jan 27 13:31:30 1999
--- glibc-2.1.new/libio/Versions	Wed Jun 16 23:14:19 1999
***************
*** 100,103 ****
--- 100,105 ----
      # p*
      pclose; popen;
+     # For virtualfs
+     __rewind; __fseek;
    }
  }
diff -rc2P glibc-2.1.orig/libio/fileops.c glibc-2.1.new/libio/fileops.c
*** glibc-2.1.orig/libio/fileops.c	Thu Nov  5 11:26:16 1998
--- glibc-2.1.new/libio/fileops.c	Wed Jun 30 14:47:21 1999
***************
*** 45,50 ****
  #endif
  
! 
! #ifdef _LIBC
  # define open(Name, Flags, Prot) __open (Name, Flags, Prot)
  # define close(FD) __close (FD)
--- 45,53 ----
  #endif
  
! /* This is breaking VFS since fopen is not calling the weak symbol
!    I don't know why it was done this way. I guess we will find out
!    soon :-( (Was not done just for the fun of it I guess)
! */
! #if defined(_LIBC) && 0
  # define open(Name, Flags, Prot) __open (Name, Flags, Prot)
  # define close(FD) __close (FD)
diff -rc2P glibc-2.1.orig/libio/fseek.c glibc-2.1.new/libio/fseek.c
*** glibc-2.1.orig/libio/fseek.c	Thu Jul  9 14:47:33 1998
--- glibc-2.1.new/libio/fseek.c	Wed Jun 16 23:13:58 1999
***************
*** 28,32 ****
  
  int
! fseek (fp, offset, whence)
       _IO_FILE* fp;
       long int offset;
--- 28,32 ----
  
  int
! __fseek (fp, offset, whence)
       _IO_FILE* fp;
       long int offset;
***************
*** 42,43 ****
--- 42,44 ----
    return result;
  }
+ weak_alias (__fseek,fseek)
diff -rc2P glibc-2.1.orig/libio/oldfileops.c glibc-2.1.new/libio/oldfileops.c
*** glibc-2.1.orig/libio/oldfileops.c	Mon Mar 29 12:29:55 1999
--- glibc-2.1.new/libio/oldfileops.c	Thu Jul  1 09:13:48 1999
***************
*** 51,55 ****
  
  
! #ifdef _LIBC
  # define open(Name, Flags, Prot) __open (Name, Flags, Prot)
  # define close(FD) __close (FD)
--- 51,55 ----
  
  
! #if defined(_LIBC) && 0
  # define open(Name, Flags, Prot) __open (Name, Flags, Prot)
  # define close(FD) __close (FD)
diff -rc2P glibc-2.1.orig/libio/rewind.c glibc-2.1.new/libio/rewind.c
*** glibc-2.1.orig/libio/rewind.c	Mon Oct 26 10:19:46 1998
--- glibc-2.1.new/libio/rewind.c	Tue Jun 15 22:15:03 1999
***************
*** 28,32 ****
  
  void
! rewind (fp)
       _IO_FILE *fp;
  {
--- 28,32 ----
  
  void
! __rewind (fp)
       _IO_FILE *fp;
  {
***************
*** 39,40 ****
--- 39,42 ----
    _IO_cleanup_region_end (0);
  }
+ 
+ weak_alias (__rewind,rewind)
diff -rc2P glibc-2.1.orig/misc/Versions glibc-2.1.new/misc/Versions
*** glibc-2.1.orig/misc/Versions	Mon Oct 26 10:20:17 1998
--- glibc-2.1.new/misc/Versions	Sun Jun 13 22:34:08 1999
***************
*** 102,105 ****
--- 102,107 ----
      # t*
      tdestroy; truncate64;
+     # for virtualfs
+     __ioctl; __utimes;
    }
  }
diff -rc2P glibc-2.1.orig/posix/Versions glibc-2.1.new/posix/Versions
*** glibc-2.1.orig/posix/Versions	Fri Apr  9 20:53:10 1999
--- glibc-2.1.new/posix/Versions	Wed Jun 16 23:50:01 1999
***************
*** 84,87 ****
--- 84,89 ----
      # w*
      waitid; wordexp; wordfree;
+     # for virtualfs
+     __execve;
    }
  }
diff -rc2P glibc-2.1.orig/posix/execl.c glibc-2.1.new/posix/execl.c
*** glibc-2.1.orig/posix/execl.c	Thu Mar 12 15:19:15 1998
--- glibc-2.1.new/posix/execl.c	Tue Aug  3 18:21:34 1999
***************
*** 65,68 ****
    va_end (args);
  
!   return __execve (path, (char *const *) argv, __environ);
  }
--- 65,68 ----
    va_end (args);
  
!   return execve (path, (char *const *) argv, __environ);
  }
diff -rc2P glibc-2.1.orig/posix/execle.c glibc-2.1.new/posix/execle.c
*** glibc-2.1.orig/posix/execle.c	Thu Mar 12 15:19:15 1998
--- glibc-2.1.new/posix/execle.c	Tue Aug  3 18:21:29 1999
***************
*** 63,66 ****
    va_end(args);
  
!   return __execve(path, (char *const *) argv, (char *const *) envp);
  }
--- 63,66 ----
    va_end(args);
  
!   return execve(path, (char *const *) argv, (char *const *) envp);
  }
diff -rc2P glibc-2.1.orig/posix/execv.c glibc-2.1.new/posix/execv.c
*** glibc-2.1.orig/posix/execv.c	Sat Feb  7 15:23:19 1998
--- glibc-2.1.new/posix/execv.c	Tue Aug  3 18:21:11 1999
***************
*** 27,30 ****
  execv (const char *path, char *const argv[])
  {
!   return __execve (path, argv, __environ);
  }
--- 27,30 ----
  execv (const char *path, char *const argv[])
  {
!   return execve (path, argv, __environ);
  }
diff -rc2P glibc-2.1.orig/socket/Versions glibc-2.1.new/socket/Versions
*** glibc-2.1.orig/socket/Versions	Mon Oct 26 19:10:11 1998
--- glibc-2.1.new/socket/Versions	Mon Jun 14 09:13:02 1999
***************
*** 32,35 ****
--- 32,37 ----
      # s*
      send; sendmsg; sendto; setsockopt; shutdown; socket; socketpair;
+     # for virtualfs
+     __socket; __connect; __bind;
    }
  }
diff -rc2P glibc-2.1.orig/stdio/Versions glibc-2.1.new/stdio/Versions
*** glibc-2.1.orig/stdio/Versions	Thu Jul 23 10:55:45 1998
--- glibc-2.1.new/stdio/Versions	Sun Jun 13 22:36:16 1999
***************
*** 62,65 ****
--- 62,67 ----
      # p*
      putc_unlocked; putchar_unlocked;
+     # for virtualfs
+     __IO_fseek;
    }
  }
diff -rc2P glibc-2.1.orig/stdio/fseek.c glibc-2.1.new/stdio/fseek.c
*** glibc-2.1.orig/stdio/fseek.c	Sat Feb  7 15:25:08 1998
--- glibc-2.1.new/stdio/fseek.c	Sun Jun 13 22:35:17 1999
***************
*** 26,30 ****
     or the current position if it is SEEK_CUR.  */
  int
! fseek (stream, offset, whence)
       register FILE *stream;
       long int offset;
--- 26,30 ----
     or the current position if it is SEEK_CUR.  */
  int
! __IO_fseek (stream, offset, whence)
       register FILE *stream;
       long int offset;
***************
*** 178,179 ****
--- 178,181 ----
    return 0;
  }
+ 
+ weak_alias (__IO_fseek,fseek)
diff -rc2P glibc-2.1.orig/stdio-common/Versions glibc-2.1.new/stdio-common/Versions
*** glibc-2.1.orig/stdio-common/Versions	Wed Aug 12 20:09:14 1998
--- glibc-2.1.new/stdio-common/Versions	Sun Jun 13 01:45:55 1999
***************
*** 47,50 ****
--- 47,52 ----
      # t*
      tmpfile; tmpfile64;
+     # for virtualfs
+     __rename;
    }
  }
diff -rc2P glibc-2.1.orig/sysdeps/generic/bind.c glibc-2.1.new/sysdeps/generic/bind.c
*** glibc-2.1.orig/sysdeps/generic/bind.c	Sat Feb  7 15:29:12 1998
--- glibc-2.1.new/sysdeps/generic/bind.c	Mon Jun 14 09:25:53 1999
***************
*** 22,26 ****
  /* Give the socket FD the local address ADDR (which is LEN bytes long).  */
  int
! bind (fd, addr, len)
       int fd;
       __CONST_SOCKADDR_ARG addr;
--- 22,26 ----
  /* Give the socket FD the local address ADDR (which is LEN bytes long).  */
  int
! __bind (fd, addr, len)
       int fd;
       __CONST_SOCKADDR_ARG addr;
***************
*** 31,35 ****
  }
  
! 
  stub_warning (bind)
  #include <stub-tag.h>
--- 31,35 ----
  }
  
! weak_alias (__bind,bind)
  stub_warning (bind)
  #include <stub-tag.h>
diff -rc2P glibc-2.1.orig/sysdeps/generic/rename.c glibc-2.1.new/sysdeps/generic/rename.c
*** glibc-2.1.orig/sysdeps/generic/rename.c	Sat Feb  7 15:29:40 1998
--- glibc-2.1.new/sysdeps/generic/rename.c	Mon Jun 14 09:25:36 1999
***************
*** 23,27 ****
  /* Rename the file OLD to NEW.  */
  int
! rename (old, new)
       const char *old;
       const char *new;
--- 23,27 ----
  /* Rename the file OLD to NEW.  */
  int
! __rename (old, new)
       const char *old;
       const char *new;
***************
*** 36,39 ****
--- 36,41 ----
    return -1;
  }
+ 
+ weak_alias(__rename,rename)
  
  
Binary files glibc-2.1.orig/sysdeps/ioctl.o and glibc-2.1.new/sysdeps/ioctl.o differ
diff -rc2P glibc-2.1.orig/sysdeps/posix/rename.c glibc-2.1.new/sysdeps/posix/rename.c
*** glibc-2.1.orig/sysdeps/posix/rename.c	Sat Feb  7 15:36:04 1998
--- glibc-2.1.new/sysdeps/posix/rename.c	Fri Jun 11 20:43:57 1999
***************
*** 23,27 ****
  /* Rename the file OLD to NEW.  */
  int
! rename (old, new)
       const char *old;
       const char *new;
--- 23,27 ----
  /* Rename the file OLD to NEW.  */
  int
! __rename (old, new)
       const char *old;
       const char *new;
***************
*** 50,51 ****
--- 50,53 ----
    return 0;
  }
+ 
+ weak_alias (__rename,rename)
diff -rc2P glibc-2.1.orig/sysdeps/unix/rewinddir.c glibc-2.1.new/sysdeps/unix/rewinddir.c
*** glibc-2.1.orig/sysdeps/unix/rewinddir.c	Thu Jul 23 10:57:54 1998
--- glibc-2.1.new/sysdeps/unix/rewinddir.c	Sun Jun 13 11:14:44 1999
***************
*** 26,30 ****
  /* XXX should be __rewinddir ? */
  void
! rewinddir (dirp)
       DIR *dirp;
  {
--- 26,30 ----
  /* XXX should be __rewinddir ? */
  void
! __rewinddir (dirp)
       DIR *dirp;
  {
***************
*** 35,36 ****
--- 35,38 ----
    __libc_lock_unlock (dirp->lock);
  }
+ 
+ weak_alias (__rewinddir,rewinddir)
diff -rc2P glibc-2.1.orig/sysdeps/unix/seekdir.c glibc-2.1.new/sysdeps/unix/seekdir.c
*** glibc-2.1.orig/sysdeps/unix/seekdir.c	Sat Feb  7 15:37:12 1998
--- glibc-2.1.new/sysdeps/unix/seekdir.c	Wed Jun 16 11:57:54 1999
***************
*** 26,30 ****
  /* XXX should be __seekdir ? */
  void
! seekdir (dirp, pos)
       DIR *dirp;
       __off_t pos;
--- 26,30 ----
  /* XXX should be __seekdir ? */
  void
! __seekdir (dirp, pos)
       DIR *dirp;
       __off_t pos;
***************
*** 36,37 ****
--- 36,38 ----
    __libc_lock_unlock (dirp->lock);
  }
+ weak_alias (__seekdir,seekdir)
diff -rc2P glibc-2.1.orig/sysdeps/unix/syscalls.list glibc-2.1.new/sysdeps/unix/syscalls.list
*** glibc-2.1.orig/sysdeps/unix/syscalls.list	Sat Feb  7 15:37:13 1998
--- glibc-2.1.new/sysdeps/unix/syscalls.list	Fri Jun 18 22:58:17 1999
***************
*** 34,38 ****
  readv		-	readv		3	__readv		readv
  reboot		-	reboot		1	reboot
! rename		-	rename		2	rename
  rmdir		-	rmdir		1	__rmdir		rmdir
  select		-	select		5	__select	select
--- 34,38 ----
  readv		-	readv		3	__readv		readv
  reboot		-	reboot		1	reboot
! rename		-	rename		2	__rename	rename
  rmdir		-	rmdir		1	__rmdir		rmdir
  select		-	select		5	__select	select
diff -rc2P glibc-2.1.orig/sysdeps/unix/sysv/linux/Versions glibc-2.1.new/sysdeps/unix/sysv/linux/Versions
*** glibc-2.1.orig/sysdeps/unix/sysv/linux/Versions	Fri Jan  8 00:52:33 1999
--- glibc-2.1.new/sysdeps/unix/sysv/linux/Versions	Wed Jun 16 12:04:20 1999
***************
*** 82,85 ****
--- 82,87 ----
      # u*
      umount2;
+     # for virtualfs
+     __llseek; 
    }
  }
diff -rc2P glibc-2.1.orig/sysdeps/unix/sysv/linux/_G_config.h glibc-2.1.new/sysdeps/unix/sysv/linux/_G_config.h
*** glibc-2.1.orig/sysdeps/unix/sysv/linux/_G_config.h	Wed Apr 22 21:22:09 1998
--- glibc-2.1.new/sysdeps/unix/sysv/linux/_G_config.h	Wed Jun 30 22:36:31 1999
***************
*** 56,61 ****
  #define _G_IO_IO_FILE_VERSION 0x20001
  
! #define _G_OPEN64	__open64
! #define _G_LSEEK64	__lseek64
  #define _G_FSTAT64(fd,buf) __fxstat64 (_STAT_VER, fd, buf)
  
--- 56,61 ----
  #define _G_IO_IO_FILE_VERSION 0x20001
  
! #define _G_OPEN64	open64
! #define _G_LSEEK64	lseek64
  #define _G_FSTAT64(fd,buf) __fxstat64 (_STAT_VER, fd, buf)
  
diff -rc2P glibc-2.1.orig/sysdeps/unix/sysv/linux/lxstat.c glibc-2.1.new/sysdeps/unix/sysv/linux/lxstat.c
*** glibc-2.1.orig/sysdeps/unix/sysv/linux/lxstat.c	Thu Oct 22 09:57:55 1998
--- glibc-2.1.new/sysdeps/unix/sysv/linux/lxstat.c	Fri Jun 11 20:45:33 1999
***************
*** 36,40 ****
  /* Get information about the file NAME in BUF.  */
  int
! __lxstat (int vers, const char *name, struct stat *buf)
  {
    struct kernel_stat kbuf;
--- 36,40 ----
  /* Get information about the file NAME in BUF.  */
  int
! __vfs_lxstat (int vers, const char *name, struct stat *buf)
  {
    struct kernel_stat kbuf;
***************
*** 52,55 ****
--- 52,67 ----
    return result;
  }
+ 
+ /* vfs_lxstat provides a way to trap __lxstat because it is called inline
+    by apps. Once the apps have been recompiled, this will go away
+ */
+ int _vfs_lxstat (int vers, const char *name, struct stat *buf);
+ 
+ int
+ __lxstat (int vers, const char *name, struct stat *buf)
+ {
+ 	return _vfs_lxstat (vers,name,buf);
+ }
+ weak_alias (__vfs_lxstat, _vfs_lxstat)
  
  weak_alias (__lxstat, _lxstat);
diff -rc2P glibc-2.1.orig/sysdeps/unix/sysv/linux/lxstat64.c glibc-2.1.new/sysdeps/unix/sysv/linux/lxstat64.c
*** glibc-2.1.orig/sysdeps/unix/sysv/linux/lxstat64.c	Thu Oct 22 09:57:56 1998
--- glibc-2.1.new/sysdeps/unix/sysv/linux/lxstat64.c	Wed Jun 16 00:07:00 1999
***************
*** 32,36 ****
  /* Get information about the file NAME in BUF.  */
  int
! __lxstat64 (int vers, const char *name, struct stat64 *buf)
  {
    struct kernel_stat kbuf;
--- 32,36 ----
  /* Get information about the file NAME in BUF.  */
  int
! __vfs_lxstat64 (int vers, const char *name, struct stat64 *buf)
  {
    struct kernel_stat kbuf;
***************
*** 43,44 ****
--- 43,60 ----
    return result;
  }
+ 
+ /* vfs_lxstat64 provides a way to trap __lxstat because it is called inline
+    by apps. Once the apps have been recompiled, this will go away
+ */
+ int _vfs_lxstat64 (int vers, const char *name, struct stat64 *buf);
+ 
+ int
+ __lxstat64 (int vers, const char *name, struct stat64 *buf)
+ {
+ 	return _vfs_lxstat64 (vers,name,buf);
+ }
+ weak_alias (__vfs_lxstat64, _vfs_lxstat64)
+ 
+ 
+ weak_alias (__lxstat64,_lxstat64)
+ 
diff -rc2P glibc-2.1.orig/sysdeps/unix/sysv/linux/xstat.c glibc-2.1.new/sysdeps/unix/sysv/linux/xstat.c
*** glibc-2.1.orig/sysdeps/unix/sysv/linux/xstat.c	Thu Oct 22 09:58:19 1998
--- glibc-2.1.new/sysdeps/unix/sysv/linux/xstat.c	Fri Jun 11 20:46:06 1999
***************
*** 36,40 ****
  /* Get information about the file NAME in BUF.  */
  int
! __xstat (int vers, const char *name, struct stat *buf)
  {
    struct kernel_stat kbuf;
--- 36,40 ----
  /* Get information about the file NAME in BUF.  */
  int
! __vfs_xstat (int vers, const char *name, struct stat *buf)
  {
    struct kernel_stat kbuf;
***************
*** 52,55 ****
--- 52,68 ----
    return result;
  }
+ 
+ /* vfs_xstat provides a way to trap __xstat because it is called inline
+    by apps. Once the apps have been recompiled, this will go away
+ */
+ int _vfs_xstat (int vers, const char *name, struct stat *buf);
+ 
+ int
+ __xstat (int vers, const char *name, struct stat *buf)
+ {
+ 	return _vfs_xstat (vers,name,buf);
+ }
+ 
+ weak_alias (__vfs_xstat, _vfs_xstat)
  
  weak_alias (__xstat, _xstat);
diff -rc2P glibc-2.1.orig/sysdeps/unix/sysv/linux/xstat64.c glibc-2.1.new/sysdeps/unix/sysv/linux/xstat64.c
*** glibc-2.1.orig/sysdeps/unix/sysv/linux/xstat64.c	Thu Oct 22 09:58:20 1998
--- glibc-2.1.new/sysdeps/unix/sysv/linux/xstat64.c	Wed Jun 16 00:08:21 1999
***************
*** 32,36 ****
  /* Get information about the file NAME in BUF.  */
  int
! __xstat64 (int vers, const char *name, struct stat64 *buf)
  {
    struct kernel_stat kbuf;
--- 32,36 ----
  /* Get information about the file NAME in BUF.  */
  int
! __vfs_xstat64 (int vers, const char *name, struct stat64 *buf)
  {
    struct kernel_stat kbuf;
***************
*** 43,44 ****
--- 43,60 ----
    return result;
  }
+ 
+ /* vfs_xstat64 provides a way to trap __xstat64 because it is called inline
+    by apps. Once the apps have been recompiled, this will go away
+ */
+ int _vfs_xstat64 (int vers, const char *name, struct stat64 *buf);
+ 
+ int
+ __xstat64 (int vers, const char *name, struct stat64 *buf)
+ {
+ 	return _vfs_xstat64 (vers,name,buf);
+ }
+ weak_alias (__vfs_xstat64, _vfs_xstat64)
+ 
+ 
+ weak_alias (__xstat64,_xstat64)
+ 
diff -rc2P glibc-2.1.orig/sysdeps/unix/sysv/syscalls.list glibc-2.1.new/sysdeps/unix/sysv/syscalls.list
*** glibc-2.1.orig/sysdeps/unix/sysv/syscalls.list	Sat Feb  7 15:37:43 1998
--- glibc-2.1.new/sysdeps/unix/sysv/syscalls.list	Tue Aug 17 00:18:38 1999
***************
*** 14,16 ****
  times		-	times		1	__times	times
  ulimit		-	ulimit		2	ulimit
! utime		-	utime		2	utime
--- 14,16 ----
  times		-	times		1	__times	times
  ulimit		-	ulimit		2	ulimit
! utime		-	utime		2	__utime utime
